#include <iostream>

using namespace std;

int main()
{
    int n, x;
    cin >> n >> x;
    int mini = x;
    int maks = x;
    int pom;
    for(int i = 0; i < n; i++)
    {
        cin >> pom;
        if(pom > maks)
            maks = pom;
        if(pom < mini)
            mini = pom;
    }
    if(maks == x)
    {
        cout << maks - mini;
        return 0;
    }
    if(mini == x)
    {
        cout << maks - mini;
        return 0;
    }

    int a1 = maks - x;
    int a2 = x - mini;
    if(a2 > a1)
    {
        cout << 2 * a1 + a2;
    }
    else
        cout << 2 * a2 + a1;
    return 0;
}